import axios from 'axios';

const createBuildHistory = async (data, headers = {}) => {
  try {
      const apiHeaders = Object.keys(headers).length > 0 && { headers };
      const response = await axios.post(`${process.env.REACT_APP_CORE_API}/build-history`, data, apiHeaders);

      return response.data;
  } catch (error){
      throw error;
  }
};

const getAll = async (headers = {}) => {
  try {
      const response = await axios.get(`${process.env.REACT_APP_CORE_API}/build-history`, Object.keys(headers).length > 0 && { headers });

      return response.data;
  } catch (error) {
      throw error;
  }
};

export const BuildHistoryCoreService = {
  createBuildHistory,
  getAll
};
